-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_ChiaviMonitoraggio


CREATE procedure [C6StagingPeriodico].[RP_ST_ChiaviMonitoraggio]  
as  
  
begin   
  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_ChiaviMonitoraggio',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.[RP_ChiaviMonitoraggio]   
INSERT INTO [C6StagingPeriodico].[RP_ChiaviMonitoraggio]  
           (  
             [IdMonitoraggio],  
          [ChiaveProgetto],  
    [DtCreazione],  
    [stato],  
    [dtFineMonitoraggio],  
    [flagVisualizzaStor]  
            )  
    select *  
      
 from [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.ChiaviMonitoraggio   
    --filtro per non prendere le righe duplicate  
    WHERE stato = 1  
   
    -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_ChiaviMonitoraggio' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_ChiaviMonitoraggio'  
  )  
  
END  
  


